Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: widelands-bzr r7282-2

Git Clone URL: https://aur-dev.archlinux.org/widelands-bzr.git (read-only)
Package Base: widelands-bzr
Description: A realtime strategy game with emphasis on economy and transport - development version
Upstream URL: http://wl.widelands.org
Licenses: GPL2
Conflicts: widelands, widelands-data
Provides: widelands
Submitter: matthiaskrgr
Maintainer: gamag
Last Packager: gamag
Votes: 4
Popularity: 0.574482
First Submitted: 2012-04-21 17:53
Last Updated: 2015-06-10 19:17

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

TiborB commented on 2013-11-02 22:22

Well, I managed to compile it - though without PKGBUILD, the procedure is like this:

#Uninstall LUA, and have LUA51 installed.
$bzr branch lp:widelands
$cd widelands
$sed -i "1 i #include <unistd.h>" src/main.cc
$sed -i "/Boost_USE_STATIC_LIBS/d" CMakeLists.txt
$test -d build/compile && rm -rf build/compile/* #not relevant for PKGBUILD as there will be no residuals from previous compilation
$mkdir -p build/compile && cd build/compile

$cmake ../.. -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/bla/bla/ \
-DWL_INSTALL_PREFIX=/bla/bla/ \
-DWL_INSTALL_DATADIR=share/widelands \
-DWL_INSTALL_BINDIR=bin |

$make install # I install directly to final location

Hope it helps :)

TiborB commented on 2013-11-02 22:22

TiborB commented on 2013-11-02 22:21

Well, I managed to compile it - though without PKGBUILD, the procedure is like this:

#Uninstall LUA, and have LUA51 installed.
$bzr branch lp:widelands
$cd widelands
$test -d build/compile && rm -rf build/compile/* #not relevant for PKGBUILD as there will be no residuals from previous compilation
$mkdir -p build/compile && cd build/compile

$cmake ../.. -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/bla/bla/ \
-DWL_INSTALL_PREFIX=/bla/bla/ \
-DWL_INSTALL_DATADIR=share/widelands \
-DWL_INSTALL_BINDIR=bin |

$make install # I install directly to final location

Hope it helps :)

TiborB commented on 2013-10-26 22:05

nevermind, I will keep trying..

matthiaskrgr commented on 2013-10-26 21:53

well, thats as far as I got... :/

TiborB commented on 2013-10-26 21:52

I found that I have LUA51 installed - still no success.

matthiaskrgr commented on 2013-10-26 21:22

There is a seperate lua51 package which can be installed next to 5.2.
I can't uninstall lua (5.2) because I have quite some dependencies on it so I can't tell if there are/will be other problems or not.

TiborB commented on 2013-10-26 21:20

I have current LUA (v. 5.2.2).
So I should downgrade and it will compile or there is another problem except the problem with LUA?

matthiaskrgr commented on 2013-10-26 21:10

Actually this should be a problem of the PKGBUILD, however if you have lua 5.2 installed, the build will fail anyway, I'm waiting for an upstream fix for that since several months now...

TiborB commented on 2013-10-26 21:03

Now it fails with:

patching file src/main.cc
Hunk #1 FAILED at 18.
1 out of 1 hunk FAILED -- saving rejects to file src/main.cc.rej

I understand this is not a problem of PKGBUILD, I will keep trying... Thanks